#version 330
out vec4 outputColor;

in vec2 texCoord;
in vec4 color;

uniform bool singleChanneled;
uniform bool textured;
uniform sampler2D texture0;

void main()
{
    if (textured) {
        if (singleChanneled) {
            float singleVal = texture(texture0, vec2(texCoord.x, 1 - texCoord.y)).r;
            outputColor = vec4(singleVal);
        } else {
            outputColor = texture(texture0, vec2(texCoord.x, 1 - texCoord.y)) * color;
        }
    } else {
        outputColor = color;
    }
}